@for $i from 1 through 100 {
    .grid-repeat-fill-#{$i}x {
        display: grid;
        grid-gap: 5px;
        grid-template-columns: repeat(auto-fill, minmax(min($i * 10px, 100%), 1fr));
    }

    .grid-repeat-fit-#{$i}x {
        display: grid;
        grid-gap: 5px;
        grid-template-columns: repeat(auto-fit, minmax(min($i * 10px, 100%), 1fr));
    }
}

.grid-max-1fr {
    display: grid;
    grid-gap: 5px;
    grid-template-columns: max-content 1fr;
}

.grid-max-max-1fr {
    display: grid;
    grid-gap: 5px;
    grid-template-columns: max-content max-content 1fr;
}

@for $i from 1 through 50 {
    .grid-order-2-column:has(> *:first-child:nth-last-child(#{$i})) {
        grid-auto-flow: dense;
        > *:nth-child(-n + #{ceil($i/2)}) {
            grid-column: 1;
        }
    }
}
